#ifndef CORE
#define CORE
#include "standards.cpp"
//16 characters = 128 bytes
#define BIN ios::binary 
// redefined for quick changes to Windows platform
#include "Neuron.h"
#include <iostream>
#include <bitset>
#include "Rnd.h"

using namespace std;

class Core
{
public:
  Core();
  // standard initialization
  ~Core();
  // standard destructor.
  void display();
  // display function for the show network.
  void fire_net();
  char get();
  void core_get_key(const char*);
  void core_store_key(const char*);
 protected:
  int index;
  bool net[NETSIZE];
  bool* net_input[NETSIZE][2];
  bool show[SHOWSIZE];
  bool* show_input[SHOWSIZE][2];
  inline bool logic(const bool&, const bool& );
  bitset<8> rval;
  Rnd random;
};
#endif
