#ifndef CORE
#define CORE
#include "standards.cpp"
#define BIN ios::binary 

#include <iostream>
#include <bitset>
#include "Rnd.h"

using namespace std;

struct Core
{
public:
  Core();
  ~Core();
  void fire_net();
  char get();
 private:
  int index;
  bool net[NETSIZE];
  bool* net_input[NETSIZE][2];
  bool show[SHOWSIZE];
  bool* show_input[SHOWSIZE][2];
  inline bool logic( const bool&, const bool& );
  bitset<8> rval;
  Rnd random;
};
#endif
