/*
  I make use of the Rnd class only for a safe interface
  to a random number genrator. It allows me to change
  the entropy source at a whim. At current, I am using 
  the pseudo random generator from the GSL, but I have
  used a number of different packages in the past.
*/

#include <gsl/gsl_rng.h>
class Rnd
{
public:
  Rnd();
  ~Rnd();
  void seed( long int in );
  int operator()(long int in );
private:
  gsl_rng* r;
};
