#include "Decrypt.h"

void Decrypt::get_key( const char* in_name )
{
  fstream ins(in_name, ios::in );
  if( ! ins.good() )
    throw -1;
  else
    core_get_key(in_name);
}

void Decrypt::operator()(const char* input, const char* key, const char* output )
{
  get_key(key);
  fstream in( input, ios::in | BIN );
  fstream out( output, ios::out | BIN );
  if( !in ) throw -3;
  unsigned char P,K,C;
  while( ! in.eof() )
  {
    C=in.get();
    if( ! in.good() ) break;
    K=this->get();
    P=K^C;
    out.put(P);
  }
}
