#include "Encrypt.h"

void Encrypt::store_key( const char* in )
{
  fstream ins( in, ios::in );
  bool state=ins.good();
  ins.close();
  if( state )    core_get_key(in);
  else           core_store_key(in);
}

void Encrypt::operator()(const char* input, const char* key, const char* output )
{
  fstream in( input, ios::in | BIN );
  fstream out( output, ios::out | BIN );
  store_key( key );
  if( !in ) throw -2;
  unsigned char P,C,K;
  while( in.good() )
  { 
    P = in.get();
    if( ! in.good() ) break;
    K = this->get();
    C=K^P;
    out.put(C);
  }
}
